/*

  Copyright 2010, 2011 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package pado.api;

import cf.api.ApplicationKnowledge;
import cf.api.CyberApplication;

/* Convergence Knoweldge */
public class PADOAppEndKnowledge extends ApplicationKnowledge
{
  int id;

  public int id() { return id; }

  PADOAppEndKnowledge(CyberApplication creator)
  {
    super(creator);
	this.id = -1;
  }

  PADOAppEndKnowledge(CyberApplication creator, int id)
  {
    super(creator);
	this.id = id;
  }

  public String logRepLong()
  {
    return creator() + " (id:" + id + ") pado app end at time : " + creationTime();
  }

  public String toString()
  {
    return logRepLong();
  }
}
