/*

  Copyright 2010, 2011 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package pado.api;

/** configurable parameters */
public class PADOParam
{
  public static int NUM_THREADS = 1;
  public static String NEIGHBOR_FACILITATOR;
  public static boolean SHARING = true; 	// turn on/off knowledge sharing
  public static boolean LS = false; 		// flag for population-based/single-state meta-heuristic
  public static double INIT_DELAY = 3; 		// initial delays for finding neighbors 
  public static boolean CONT_PADO = true; 	// continue after convergence  
  public static int PRINT = 1; 				// turn on/off standard out 0: off, 1: on
  public static boolean DRAW_TSP = true; 
  
  /*
   From param file 
  */
  public static int TIME_LIMIT = 3600; //s
  public static int GENERATION_LIMIT = 30000;
  public static double CONVERGE_RATE_LIMIT = 0.99;
  public static int CONTD_CONV_GEN_LIMIT = 100;
  public static int SHARING_PERIOD = 20;
  public static int ALPHA = 100;
  public static int MU = 20;
  public static int LAMDA = 20;
  public static double MUTATION_RATE = 0.05;
  public static double SHARING_PRBOBABILITY; 
  public static int CONV_KNOWLEDGE_EXPIRE_TIME = 30;
  public static int SINGLE_STATE_ITERATION = 30;
  public static int M;
  public static int ARCHIVE_SIZE;
  public static boolean GUI = true; // turn on/off local GUI
  public static int SNAPSHOT_PERIOD = 600; //s
}
