/*

  Copyright 2010, 2011 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package pado.app.dse;

import pado.api.PADOApp;
import pado.api.PADOParam;

import cf.api.CyberNode;

import org.opt4j.bufferOpt.BufferOptModule;
import org.opt4j.core.Individual;

class DSEApp extends PADOApp  
{
  /** CONSTURCTOR **/
  public DSEApp(CyberNode node, int nodeIndex)
  {
    super(node, nodeIndex);
  }

  /** MEMBER VARIABLES **/
  BufferOptModule dse; /* DSE problem for Buffer, processor, throughput optmimization*/

  /** MEMBER FUNCS **/
  public void userModuleInit()
  {
	dse = new BufferOptModule(); // DSE problem ( DivX player )
 	dse.setInputfile(new String("inputs/divx_proc8"));

    modules.add(dse);
  }

  public void initialize()
  {
	super.initialize();

    kernelEvent e = new kernelEvent(this, 0);
    e.setAbsTime(PADOParam.INIT_DELAY+time());
    postEvent(e);
  }

  public void refresh(Individual i)
  {
	refresh(i);
  }
}
